Vulnerability & Exploit Database

Back to search

VMware Workstation: VMware Workstation, Fusion and Horizon View Client updates address an out-of-bounds write vulnerability (VMSA-2017-0018) (CVE-2017-4935)

Severity CVSS Published Added Modified
7 (AV:L/AC:M/Au:N/C:C/I:C/A:C) November 16, 2017 November 19, 2017 December 04, 2017

Description

VMware Workstation (12.x before 12.5.8) and Horizon View Client for Windows (4.x before 4.6.1) contain an out-of-bounds write vulnerability in JPEG2000 parser in the TPView.dll. On Workstation, this may allow a guest to execute code or perform a Denial of Service on the Windows OS that runs Workstation. In the case of a Horizon View Client, this may allow a View desktop to execute code or perform a Denial of Service on the Windows OS that runs the Horizon View Client. Exploitation is only possible if virtual printing has been enabled. This feature is not enabled by default on Workstation but it is enabled by default on Horizon View Client.

Free Nexpose Download

Discover, prioritize, and remediate security risks today!

 Download now

References

Solution

vmware-workstation-upgrade-12_5_8